> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teamcaredental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List locations

> This endpoint retrieves locations with optional organization_id query parameter.

- Query Parameters
- organization_id (optional)
- with_attribution_script_install(optional): Pass this param () to fetch those practices that has installed the TC attribution script on their websites.



## OpenAPI

````yaml https://app.teamcaredental.com/openapi-vendors.json get /locations
openapi: 3.1.0
info:
  title: TeamCare Vendor API
  version: 1.0.0
  description: Vendor APIs for integrating dental office data. HIPAA-compliant and opt-in.
servers:
  - url: https://app.teamcaredental.com/api/v1/vendors
security:
  - bearerAuth: []
paths:
  /locations:
    get:
      tags:
        - Locations
      summary: List locations
      description: >-
        This endpoint retrieves locations with optional organization_id query
        parameter.


        - Query Parameters

        - organization_id (optional)

        - with_attribution_script_install(optional): Pass this param () to fetch
        those practices that has installed the TC attribution script on their
        websites.
      operationId: locations_list
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
        '401':
          description: Missing, invalid or expired token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: not authorized
        '403':
          description: The credential may not access this resource.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: access Denied
        '404':
          description: Resource not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: resource not found
        '422':
          description: The request could not be processed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: ...
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT returned by POST /auth/token. Valid for six hours.

````